pub use sea_orm_migration::prelude::*;

pub struct Migrator;

mod m20240705_100914_create_user;
mod m20240708_085852_create_admin_user;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20240705_100914_create_user::Migration),
            Box::new(m20240708_085852_create_admin_user::Migration),
        ]
    }
}
